//   RW Battery
// ==============
// Power : Distribution, Controllers, Batteries & Charging Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/electro/power/battery.cpp
// -Definitions of the baseline RW Battery library

#include "incls_all.hpp"

namespace rw::electro::power {

//------------------------------------------------------------------------------
Battery_b::Battery_b() : Battery_b{"battery_b_obj"} {}

//------------------------------------------------------------------------------
Battery_b::Battery_b(std::string const& handle) : RW{handle, Type::Battery} {
  stamp("Battery_b()");
}

//------------------------------------------------------------------------------
Battery::Battery() : Battery{"battery_obj"} {}

//------------------------------------------------------------------------------
Battery::Battery(std::string const& handle) : Battery_b{handle} {
  stamp("Battery()");
}

}  // namespace rw::electro::power

//    --=^=--

// "Now be careful. If you go for a full charge, it can get up there."

// rw_electro_lib.v220122
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
